Skip to main content

private/bot/resume-trading-bot

POST 

/private/bot/resume-trading-bot

Resumes a paused Trading Bot. The bot will restart placing orders according to its configured strategy.

Request

Body

required
    id int64required

    Request id (echoed in response)

    method stringrequired

    Must be "private/bot/resume-trading-bot"

    api_key stringrequired

    Your API key (only required for private REST)

    sig stringrequired

    HMAC-SHA256 signature in hex (only required for private REST)

    nonce int64required

    Current timestamp in milliseconds, e.g. "1610905028000".

    params objectrequired
    bot_id int64required

    Trading Bot ID

    bot_type BotType (string)required

    Possible values: [DCA, TWAP, GRID, FUNDING_ARBITRAGE]

    Trading bot type:

    • DCA: Dollar Cost Averaging
    • TWAP: Time-Weighted Average Price
    • GRID: Grid trading
    • FUNDING_ARBITRAGE: Funding arbitrage
Success.
Schema
    id int64

    Original request identifier

    method string

    Method name

    code int32

    0 for success; error code otherwise

    message string

    Error message for non-zero codes